:root {
    --cor-vermelha: #FF0038;
    --cor-branca: #FFF;
    --cor-cinza: #333333;
    --cor-vermelha-hover: #FF5E82;
    --cor-cinza-hover: #666666;
    --cor-verde: #00ca6f;
    --cor-verde-hover: #1be68b;
}

* {
    box-sizing: border-box;
    padding: 0;
    margin: 0;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;

    .tittle {
        display: flex;
        width: 100%;
        justify-content: center;
        align-items: center;
        min-height: 90px;
        background-color: #FF0038;

        h2 {
            font-size: 25px;
            color: #FFF;
        }
    }

    h2 {
        font-size: 20px;
        color: var(--cor-cinza);
        text-align: center;
    }

    label {
        color: var(--cor-cinza-hover);
        font-weight: bold;
    }

    p {
        color: var(--cor-cinza-hover);
        font-weight: bold;
    }

    a {
        display: flex;
        padding: 5px;
        text-decoration: none;
        outline: none;
        border-radius: 5px;
        cursor: pointer;
    }

    button {
        cursor: pointer;
        border: none;
    }

    input[type="number"] {
        max-width: 80px;
        text-align: center;
    }

    input::placeholder {
        color: var(--cor-cinza);
    }

    select {
        color: var(--cor-cinza);
    }

    h2 {
        color: var(--cor-cinza);
        margin-top: 10px;
        margin-bottom: 10px;
    }

    .btnVerde {
        background-color: var(--cor-verde);
        color: #fff;

        &:hover {
            background-color: var(--cor-verde-hover);
        }
    }

    .btnVermelho {
        background-color: var(--cor-vermelha);
        color: #fff;

        &:hover {
            background-color: var(--cor-vermelha-hover);
        }
    }

    .btnCinza {
        background-color: var(--cor-cinza);
        color: #fff;

        &:hover {
            background-color: var(--cor-cinza-hover);
        }
    }

    input {
        padding: 3px;
        font-size: 18px;
        border-radius: 5px;
        border: solid 1px #333;
    }

    table {
        border: solid 1px var(--cor-cinza);
        border-radius: 10px;
        padding: 5px;
        margin: 10px;
        max-width: 90%;

        thead {
            color: #333333;
            font-size: 14px;
            font-weight: bold;
            text-align: center;

            tr {
                td {
                    padding: 3px;
                    border: solid 1px #333333;
                }
            }
        }

        tbody {
            color: #333333;
            font-size: 12px;
            text-align: center;
            border: solid 1px #333333;

            tr {
                td {
                    padding: 3px;
                    background-color: #ddd;

                    .aprovardesaprovar {
                        display: flex;
                        gap: 10px;
                        justify-content: center;
                        align-items: center;
                        flex-direction: row;
                    }

                    a {
                        margin: 5px;
                        margin-left: auto;
                        margin-right: auto;
                        padding: 5px;
                        text-decoration: none;
                        border-radius: 5px;
                        max-width: fit-content;
                    }
                }
            }
        }
    }
}

body {
    background-image: url('/img/fundo.jpg');
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
}

#conteudototal {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 100%;

    .sistema {
        width: 100%;
    }
}

.formulario {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 100%;
    align-items: center;

    input {
        min-width: max-content;
        max-width: 150px;
        width: 100%;
        border-radius: 10px;
        border: solid 1px var(--cor-cinza);
        padding: 5px;
        font-size: 17px;
        font-weight: bold;
        background-color: #FFF;
        outline: none;
        color: var(--cor-cinza);
        text-align: center;

        &::placeholder {
            color: #333;
        }
    }

    button {
        padding: 5px;
        font-size: 16px;
        font-weight: bold;
        color: #FFF;
        background-color: var(--cor-cinza);
        border-radius: 10px;
        min-width: 100px;

        &:hover {
            background-color: var(--cor-cinza-hover);
        }
    }
}

#menu {
    display: flex;
    min-width: 200px;
    max-width: 200px;
    flex-direction: column;
    flex-wrap: nowrap;
    background-color: #eee;
    min-height: 100dvh;

    .logo {
        min-height: 90px;
        display: flex;
        justify-content: center;
        align-items: center;

        img {
            height: auto;
            max-width: 200px;
        }
    }

    .areafotografo {
        min-height: 40px;
        display: flex;
        justify-content: center;
        align-items: center;
        background-color: #FF0038;

        h2 {
            color: #FFF;
        }
    }

    ul {
        list-style: none;
        display: flex;
        align-items: center;
        flex-direction: column;
        flex-wrap: wrap;
        min-width: 100%;

        li {
            text-align: center;
            min-width: 100%;

            a {
                text-align: center;
                color: var(--cor-cinza);
                font-size: 20px;
                font-weight: 600;
                text-align: center;
                width: 100%;
                filter: none;
                background-color: transparent;

                &:hover {
                    background-color: #ddd;
                }
            }

            &:last-child {
                margin-top: auto;
                position: fixed;
                bottom: 0px;
                left: 0px;
                min-width: 200px !important;
                max-width: 200p;

                a {
                    color: #FFF;
                    background-color: var(--cor-vermelha);

                    &:hover {
                        background-color: var(--cor-vermelha-hover)
                    }
                }
            }
        }
    }
}

#login {
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 100dvw;
    min-height: 100dvh;

    .formlogin {
        display: flex;
        min-width: 250px;
        padding: 10px;
        background-color: #FFF;
        border-radius: 20px;
        max-width: 350px;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: 20px;

        img {
            max-width: 250px;
            height: auto;
            padding: 5px;
            border-radius: 25px;
        }

        h2 {
            text-align: center;
            font-size: 25px;
            color: #333;
        }
    }
}

#title {
    display: flex;
    width: 100%;
    min-height: 90px;
    justify-content: center;
    align-items: center;
    background-color: #FF0038;

    h2 {
        color: #FFF;
        font-size: 25px;
    }
}

#listadefotografos {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    .fotografosaguardando {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        width: 100%;
    }

    .todosfotografos {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        width: 100%;

        .buscarfotografos {
            margin-top: 20px;
            margin-bottom: 20px;

            form {
                display: flex;
                justify-content: center;
                align-items: center;
                flex-direction: row;
                gap: 10px;

                input {
                    padding: 5px;
                    border-radius: 5px;
                }

                button {
                    padding: 5px;
                    border-radius: 5px;
                    color: #FFF;
                    background-color: var(--cor-cinza);

                    &:hover {
                        background-color: var(--cor-cinza-hover);
                    }
                }
            }
        }
    }
}

#conteudocategorias {
    #categoriaslista {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;

        p {
            text-align: center;
        }
    }

    #menucategorias {
        .boxcategoria {
            display: flex;
            flex-direction: column;
            gap: 5px;
        }

        p {
            text-align: center;
            margin-top: 20px;
            margin-bottom: 20px;
            color: var(--cor-vermelha);
        }

        form {
            display: flex;
            justify-content: center;
            align-items: center;
            flex-wrap: wrap;
            gap: 15px;

            button {
                padding: 5px;
                font-size: 18px;
                background-color: var(--cor-verde);
                color: #FFF;
                border-radius: 5px;

                &:hover {
                    background-color: var(--cor-verde-hover);
                }
            }
        }
    }
}

#eventosprivados {
    width: 100%;
    overflow-x: auto;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;

    #eventospendentes {
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;

        table {
            min-width: 90%;
        }
    }

    #eventosaprovados {
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;

        table {
            min-width: 90%;
        }
    }
}

#formulariocadastrar {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    form {
        min-width: 260px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 20px;
        margin: 10px;

        input {
            text-align: center;
            width: 100%;
        }

        select {
            padding: 5px;
            border-radius: 5px;
            width: 100%;
            font-size: 18px;
            text-align: center;
        }

        button {
            padding: 5px;
            font-size: 18px;
            border-radius: 5px;
        }

        textarea {
            resize: none;
            width: 100%;
            height: 500px;
            padding: 10px;
        }
    }

    a {
        text-align: center;
        max-width: max-content;
        font-size: 18px;
    }
}

#menueventospublicos {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    flex-wrap: wrap;
    ul {
        list-style: none;
        display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    flex-wrap: wrap;

        li {
            a {
                width: max-content;
                margin: 10px;
            }
        }
    }
}

#formcadastroorganizador {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    flex-direction: column;

    form {
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 10px;
        flex-direction: column;

        button {
            font-size: 18px;
            padding: 5px;
            border-radius: 5px;

            &:disabled {
                background-color: #666666;
                cursor: no-drop;
            }
        }

        input {
            text-align: center;

            &:read-only {
                background-color: #666666;
                color: #FFF;

                &::placeholder {
                    color: #fff;
                }
            }
        }
    }

    a {
        font-size: 18px;
        max-width: max-content;
        text-align: center;
    }
}

#menuorganizador {
    ul {
        list-style: none;

        li {
            a {
                color: #fff;
                width: max-content;
                margin: 10px;
            }
        }
    }
}

#listarorganizadores {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#listaeventospublicos {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
}

#indicacaoevento {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
}

#capaevento {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    flex-direction: column;
    gap: 10px;

    img {
        width: 250px;
        height: 250px;
    }

    form {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        gap: 10px;

        button {
            padding: 5px;
            color: #FFF;
            font-size: 18px;
            border-radius: 5px;
        }
    }
}

#dadosevento {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
    padding: 10px;
    justify-content: center;
    flex-direction: row;

    .boxedicao {
        text-align: center;

        button {
            padding: 5px;
            font-size: 16px;
            color: #fff;
            border-radius: 5px;
            margin-top: 10px;
            margin-bottom: 10px;
        }

        textarea {
            max-width: 500px;
            max-height: 500px;
            height: 500px;
            width: auto;
            min-width: 100%;
        }

    }

    form {
        gap: 5px;
        display: flex;
        flex-wrap: wrap;
        justify-content: center;
        flex-direction: column;

        input {
            text-align: center;
            max-height: fit-content;
        }

        select {
            padding: 3px;
            border-radius: 5px;
            max-height: fit-content;
            width: 100%;
            font-size: 18px;
            text-align: center;
        }
    }

    #localidade {
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;

        .boxlocal {
            display: flex;
            flex-direction: column;
            justify-content: center;
            gap: 5px;
        }
    }
}

#participantesevento {
    margin-top: 20px;
    margin-bottom: 20px;

    p {
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        align-items: center;
        justify-content: center;
        text-align: center;
        margin-bottom: 5px;
    }
}

#listaeventospublicospublicados {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#listaparticipantesaguardandoaprovacao {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#listaparticipantesgeral {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

#gerenciareventoconteudo {

    #cadastrardesconto {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: 100%;
        position: fixed;
        z-index: 99;
        top: 0;
        left: 0;
        background-color: rgba(0, 0, 0, 0.5);

        .formdesconto {
            z-index: 100;
            display: flex;
            justify-content: center;
            align-items: center;
            background-color: #333;
            padding: 10px;
            border-radius: 10px;
            flex-direction: column;
            gap: 10px;

            a {
                border-radius: 10px;
                padding: 3px;
                color: #FFF;
                font-size: 17px;
                background-color: var(--cor-vermelha);

                &:hover {
                    background-color: var(--cor-vermelha-hover);
                }
            }

            form {
                gap: 10px;
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: center;

                label {
                    text-align: center;
                    color: #FFF;
                }

                input {
                    max-width: 60px;
                    border-radius: 5px;
                    border: solid 1px --cor-cinza;
                    text-align: center;
                    padding: 3px;
                }

                button {
                    border-radius: 10px;
                    padding: 3px;
                    color: #FFF;
                    font-size: 17px;
                    background-color: var(--cor-verde);

                    &:hover {
                        background-color: var(--cor-verde-hover);
                    }
                }
            }
        }
    }

    .areadedescontos {
        display: flex;
        margin-top: 10px;
        justify-content: center;
        align-items: center;
        flex-direction: column;

        ol {
            list-style: none;
            gap: 5px;

            li {
                margin: 5px;
                display: flex;
                flex-direction: row;
                justify-content: center;
                align-items: center;

                a {
                    background-color: #FF0038;
                    color: #fff;
                    border-radius: 5px;
                    margin-left: 5px;
                }
            }
        }

        ul {
            list-style: none;

            li {
                border-radius: 10px;
                background-color: #333;

                a {
                    color: #FFF;
                }

                &:hover {
                    background-color: #666;
                }
            }
        }
    }
}
.vendas{
    display: flex
;
    justify-content: center;
    align-items: center;
}
#conteudovendas{
        .Pago {
      background: #c8e6c9;
      color: #2e7d32;
        padding: 3px;
      border-radius: 3px;
    }

    .Pendente {
      background: #fff3cd;
      color: #856404;
            padding: 3px;
      border-radius: 3px;
    }

    .Cancelado {
      background: #f8d7da;
      color: #721c24;
            padding: 3px;
      border-radius: 3px;
    }
}
#fundototalvendas {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.6);
    /* fundo escuro semitransparente */
    z-index: 9999;
    /* alto para ficar sobre tudo */
    overflow-y: auto;
    /* scroll vertical */
    padding: 20px;
    box-sizing: border-box;
    .colorir{
        color: var(--cor-cinza);
    }
    button{
        padding: 3px;
        border-radius: 5px;
        background-color: var(--cor-vermelha);
        color:#fff;
    }
    .Pago {
      background: #c8e6c9;
      color: #2e7d32;
        padding: 3px;
      border-radius: 3px;
    }

    .Pendente {
      background: #fff3cd;
      color: #856404;
            padding: 3px;
      border-radius: 3px;
    }

    .Cancelado {
      background: #f8d7da;
      color: #721c24;
            padding: 3px;
      border-radius: 3px;
    }

    #detalhesvenda {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        gap: 20px;
        justify-content: center;
        background: #fff;
        padding: 20px;
        border-radius: 8px;
        min-height: 300px;
        .btnfechar{
        position: absolute;
        top: 30px;
        right: 30px;
        text-decoration: none;
        font-weight: bold;
        font-size: 18px;
        color: #fff;
        background: #d70f0f;
        padding: 4px 8px;
        border-radius: 4px;
        }
        .valoresrepartidos{
            display: flex
;
            flex-direction: column;
            gap: 10px;
            align-items: center;
            justify-content: center;
            max-width: max-content;
            background-color: #fff;
            padding: 20px;
            border-radius: 10px;
            max-height: max-content;
        }
        .titulo{
            width: 100%;

            text-align: center;

        }
        .valores{
                        display: flex;
            flex-direction: column;
            gap: 10px;
            align-items: center;
            justify-content: center;
            max-width: max-content;
            background-color: #fff;
            padding: 20px;
            border-radius: 10px;
            max-height: max-content;
        }
        .dadoscliente {
            display: flex;
            flex-direction: column;
            gap: 10px;
            align-items: center;
            justify-content: center;
            max-width: max-content;
            background-color: #fff;
            padding: 20px;
            border-radius: 10px;
            max-height: max-content;
        }

        .dadosvenda {
            display: flex;
            flex-direction: column;
            gap: 10px;
            align-items: center;
            justify-content: center;
            max-width: max-content;
            background-color: #fff;
            padding: 20px;
            border-radius: 10px;
        }

        .dadosprodutos {
            width: 100%;
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: row;
            flex-wrap: wrap;
            gap: 20px;

            .box {
                display: flex;
                flex-direction: column;
                align-items: center;
                max-width: max-content;
                background-color: #fff;
                padding: 20px;
                border-radius: 10px;
                img{
                    border-radius: 5px;
                    max-width: 80px;
                    height: auto;
                }
            }
        }
    }
}

@media(max-width:768px) {
    #conteudototal {
        flex-direction: column;

        #menueventos {
            justify-content: center;
            align-items: center;
            padding: 0px;
            margin-top: 10px;
        }

        #menu {
            min-height: max-content !important;
            max-width: none;
            width: 100%;
            margin-bottom: 10px;

            ul {
                display: flex;
                margin-top: 10px;
                justify-content: center;
                flex-direction: row;
                flex-wrap: wrap;
                margin-bottom: 10px;
                gap: 10px;

                li {
                    min-width: max-content !important;

                    a {
                        border: solid 1px var(--cor-cinza);
                        border-radius: 10px;
                    }

                    &:last-child {
                        flex-basis: 100%;
                        text-align: center;
                        display: flex;
                        justify-content: center;
                        align-items: center;
                        position: static;

                        a {
                            width: max-content;
                            max-width: 100px;
                            text-align: center;
                        }
                    }
                }
            }
        }
    }
}